GET V1/Inventory.{ext}/VendorsContractDetails?VendorContractId={VendorContractId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| VendorContractId |
No description available |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Inventory.Entities.VendorContracts| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Inventory.Entities.VendorContracts |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
Sample:
{
"responseType": "VendorContracts",
"response": {
"vendorContractId": "sample string 1",
"vendorId": "sample string 2",
"vendorName": "sample string 3",
"contractAgreementNumber": "sample string 4",
"contractTypeId": "sample string 5",
"contractTypeName": "sample string 6",
"contractProductId": "sample string 7",
"contractProductName": "sample string 8",
"effectivePeriodFrom": "sample string 9",
"effectivePeriodTo": "sample string 10",
"fileName": "sample string 11",
"contractStatus": "sample string 12",
"commodity": "sample string 13",
"createdBy": "sample string 14",
"createdDate": "sample string 15",
"effectivePeriod": "sample string 16",
"msaNumber": "sample string 17",
"uploadedFrom": "sample string 18",
"uploadedTo": "sample string 19",
"isFileExist": "sample string 20",
"tags": "sample string 21",
"siteNbr": "sample string 22",
"siteId": "sample string 23",
"tagName": "sample string 24",
"accountID": "sample string 25",
"accountNumber": "sample string 26",
"rate": "sample string 27",
"supplier": "sample string 28",
"billing": "sample string 29",
"notify": "sample string 30",
"contractTerm": "sample string 31"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.